Skip to main content
GET
/
agent
/
v1
/
run
/
{id}
/
status
curl -X GET "https://api.case.dev/agent/v1/run/%3Cstring%3E/status" \ -H "Authorization: Bearer $CASEDEV_API_KEY"
{
  "id": "<string>",
  "startedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "durationMs": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Path Parameters

id
string
required

Run ID

Response

Run status

id
string
status
enum<string>
Available options:
queued,
running,
completed,
failed,
cancelled
startedAt
string<date-time> | null
completedAt
string<date-time> | null
durationMs
integer | null

Elapsed time in milliseconds